@font-face {
  font-family: Montserrat;
  font-weight: 400;
  font-display: swap;
  src: url("/frontend/smit/fonts/Montserrat/Montserrat-Regular.ttf") format("truetype");
}

@font-face {
  font-family: Montserrat;
  font-weight: 700;
  font-display: swap;
  src: url("/frontend/smit/fonts/Montserrat/Montserrat-Bold.ttf") format("truetype");
}

.sp-block-outer.sp-block-outer-whiteshark_header header .header-first .header-first-inner ul.menu-main li .main-menu-toggle-wrapper.active {
  color: #E1690A;
}

.sp-block-outer.sp-block-outer-whiteshark_header header .header-first .header-first-inner ul.menu-main li .main-menu-toggle-wrapper.active svg [fill] {
  fill: #E1690A;
}

.sp-block-outer.sp-block-outer-whiteshark_header header .header-first .header-first-inner ul.menu-main li .main-menu-toggle-wrapper.active svg [stroke] {
  stroke: #E1690A;
}

#main-menu-overlay.sbox-smit-menu-overlay {
  top: var(--HeaderHeightMessage);
}

body.fixed #main-menu-overlay.sbox-smit-menu-overlay {
  top: 56px;
}

#main-menu-overlay.sbox-smit-menu-overlay .inner {
  width: 100%;
  top: 0;
  left: auto;
  transform: none;
  background: var(--Grayscale-50, #fff);
  padding: 24px;
  position: relative;
  max-height: calc(100vh - 300px);
  overflow: auto;
}

#main-menu-overlay.sbox-smit-menu-overlay .overlay-title {
  display: none;
}

#main-menu-overlay.sbox-smit-menu-overlay .overlay-content {
  padding: 0;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu {
  padding: 0;
  margin: 0;
  list-style: none;
  column-count: 5;
  break-inside: avoid;
  column-gap: 24px;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li {
  margin-bottom: 24px;
  break-inside: avoid;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span {
  color: var(--Grayscale-800, #222);
  font-family: Montserrat, MonaSans, sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 120%;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 8px;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a::after,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span::after {
  content: "";
  flex: 1;
  height: 1px;
  background: #e8e8e8;
  display: block;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul {
  padding: 0;
  margin: 8px 0;
  list-style: none;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li > a,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li > span {
  padding: 8px 0;
  border-bottom: 1px solid var(--Grayscale-300, #e8e8e8);
  color: var(--Grayscale-800, #222);
  font-family: Montserrat, MonaSans, sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 120%;
  text-transform: uppercase;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: color 0.2s;
  cursor: pointer;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li.responsive-back,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li.responsive-parent-title,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li.expanded,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li.responsive-data,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul > li.show-all {
  display: none;
}

#main-menu-overlay.sbox-smit-menu-overlay ul.responsive-links,
#main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section {
  display: none;
}

@media (max-width: 991px) {
  #main-menu-overlay.sbox-smit-menu-overlay {
    top: 0;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .inner {
    display: flex;
    flex-direction: column;
    position: fixed;
    max-height: unset;
    height: 100%;
    right: 0;
    width: 375px;
    max-width: 100%;
    padding: 24px 8px 24px 16px;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .overlay-title {
    display: flex;
    padding-bottom: 8px;
    position: relative;
    z-index: 2;
    justify-content: space-between;
    color: var(--Grayscale-800, #222);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    background: transparent;
    height: auto;
    width: auto;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .overlay-content {
    display: flex;
    flex-direction: column;
    flex: 1;
    overflow: auto;
    padding-right: 8px;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav {
    flex: 1;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu {
    column-count: 1;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li {
    margin: 0;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span {
    padding: 8px 0;
    position: relative;
    border-bottom: 1px solid var(--Grayscale-300, #e8e8e8);
    justify-content: space-between;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a::after,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span::after {
    width: 14px;
    height: 14px;
    background-image: url("/frontend/smit/images/icons/menu_link.svg");
    background-repeat: no-repeat;
    background-position: center;
    flex: unset;
    background-color: transparent;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.has-children::after,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.has-children::after {
    background-image: url("/frontend/smit/images/icons/menu_right.svg");
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > ul {
    display: none;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul {
    display: flex;
    flex-direction: column;
    position: fixed;
    max-height: unset;
    right: 0;
    width: 375px;
    max-width: 100%;
    padding: 24px 8px 24px 16px;
    background: #fff;
    z-index: 1;
    top: 46px;
    bottom: 0;
    height: auto;
    margin: 0;
    overflow: auto;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.responsive-back,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.responsive-back {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--Grayscale-700, #525252);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    margin-bottom: 24px;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.responsive-back .icon,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.responsive-back .icon {
    display: inline-flex;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.responsive-back span,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.responsive-back span {
    padding: 0;
    border: 0 none;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.responsive-parent-title,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.responsive-parent-title {
    display: block;
    margin-bottom: 16px;
    color: var(--Grayscale-800, #222);
    font-family: Montserrat, MonaSans, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    text-transform: uppercase;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.show-all,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.show-all {
    display: block;
    margin: 24px 0;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.show-all a,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.show-all a {
    display: inline-flex;
    padding: 0;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
    align-self: flex-start;
    border-radius: 0;
    border: 0 none;
    background: transparent;
    color: #F68B36;
    font-family: Montserrat, MonaSans, sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    text-decoration: none;
    text-transform: none;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.expanded,
  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.expanded {
    display: block;
    flex: 1;
  }

  #main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > .show-all {
    display: none;
  }

  #main-menu-overlay.sbox-smit-menu-overlay ul.responsive-links {
    display: flex;
    justify-content: space-evenly;
    gap: 8px;
    margin: 0;
    list-style: none;
    padding: 16px 0 24px 0;
  }

  #main-menu-overlay.sbox-smit-menu-overlay ul.responsive-links li a {
    padding: 0;
    color: var(--Grayscale-600, #666);
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 110%;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section {
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section .contact-wrapper {
    display: flex;
    gap: 16px;
    align-items: center;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section .contacts {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section .contacts a {
    display: flex;
    gap: 8px;
    color: var(--Grayscale-700, #525252);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 110%;
    align-items: center;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section .contacts a .icon {
    display: inline-flex;
  }

  #main-menu-overlay.sbox-smit-menu-overlay .responsive-login-section .language-icons select {
    background: none;
    border: 0 none;
    color: var(--Grayscale-500, #7a7a7a);
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
  }
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > .show-all a {
  display: inline-flex;
  padding: 0;
  border: 0 none;
  border-radius: 0;
  background: transparent;
  color: #F68B36;
  font-family: Montserrat, MonaSans, sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 120%;
  text-decoration: none;
  text-transform: none;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > .show-all a:hover,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > a.resp-active ~ ul > li.show-all a:hover,
#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu > li > span.resp-active ~ ul > li.show-all a:hover {
  background: transparent;
  color: #F68B36;
  text-decoration: underline;
}

#main-menu-overlay.sbox-smit-menu-overlay nav ul.main-menu .show-all a .icon {
  display: none;
}
